%define         _state          stable
%define         orgname         smokegen
%define         qtver           4.8.0

Summary:	smokegen - A SMOKE library
Summary(pl.UTF-8):	smokegen - Biblioteka SMOKE
Name:		kde4-smokegen
Version:	4.10.5
Release:	1
License:	GPL v2+
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	185ba6e07752212f5ad029c761057fb8
BuildRequires:	kde4-kdelibs-devel
Obsoletes:	kde4-kdebindings-smoke-qt < 4.6.99
Obsoletes:	smokegen <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SMOKE library (Scripting Meta Object Kompiler Engine).

%description -l pl.UTF-8
Biblioteka SMOKE (Scripting Meta Object Kompiler Engine - silnik
kompilatora metaobiektów skryptowych).

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kde4-kdebindings-smoke-devel < 4.6.99
Obsoletes:	smokegen-devel <= 4.8.0

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/smokeapi
%attr(755,root,root) %{_bindir}/smokegen
%attr(755,root,root) %{_libdir}/libcppparser.so
%attr(755,root,root) %{_libdir}/libsmokebase.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokebase.so.?
%dir %{_libdir}/smokegen
%attr(755,root,root) %{_libdir}/smokegen/*.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/smoke.h
%{_includedir}/smokegen
%{_datadir}/smoke
%{_datadir}/smokegen
%attr(755,root,root) %{_libdir}/libsmokebase.so
%changelog
* Wed Jul 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-smokegen.git;a=log;h=master

* Wed Jul 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f3a50f8
- up to 4.10.5

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 2b36263
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 417e155
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> b911d02
- updated to 4.9.4

* Sun Dec 02 2012 Paweł Sikora <pawel.sikora@agmk.net> a119341
- updated to 4.9.3.

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> 4bf7a34
- updated to 4.9.1.

* Sat Aug 25 2012 Paweł Sikora <pawel.sikora@agmk.net> 353a71a
- updated to 4.9.0.

* Thu Jun 28 2012 Jan Rękorajski <baggins@pld-linux.org> ad6016e
- 4.8.4

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e97680
- up to 4.8.0; now as kde4-smokegen

* Fri Nov 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d1c477b
- up to 4.7.3

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9588ce3
- rel 4

* Wed Sep 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 20cfb15
- rel 3; restore hack, so smokekde will build fine

* Tue Sep 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e78cd56
- rel 2; fix docs

* Tue Sep 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7dc89bf
- proper spec here

* Tue Sep 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ef29fc
- rel 2; fix files

* Tue Sep 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d2ff63
- up to 4.7.1

* Tue Sep 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e6ee5a3
- up to 4.7.1

